## com.bbn.openmap.event
Interface ProjectionListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BeanBoxDnDCatcher, DayNightLayer, DefaultDnDCatcher, Layer, MapBean, MultiRoadLayer, OMDrawingTool, OverviewMapHandler, PanMouseMode, ProjectionMenu, ProjectionStack, RoadFinder, ScaleTextPanel, VPFLayer, VPFRoadLayer

public interface ProjectionListener
extends java.util.EventListener

Interface for listening to ProjectionEvents.

ProjectionEvent is fired when something fundamental about the MapBean changes (e.g. when width, height, scale, type, center, etc changes).

Method Summary
`void` `projectionChanged(ProjectionEvent e)` Invoked when there has been a fundamental change to the Map.

Method Detail

### projectionChanged

    public void projectionChanged(ProjectionEvent e)

  Invoked when there has been a fundamental change to the Map.

  Layers are expected to recompute their graphics (if this makes sense), and then `repaint()` themselves.

  Parameters:
    `e` - ProjectionEvent

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details